1

If I run apt-get install mysql-workbench I get the following dependency errors:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 mysql-workbench : Depends: libgdal.so.1-1.11.3
                   Depends: libgdal1i (>= 1.8.0) but it is not going to be installed
                   Depends: libpcrecpp0v5 (>= 7.7) but it is not installable
                   Depends: libtinyxml2.6.2v5 but it is not installable
E: Unable to correct problems, you have held broken packages.

and if I want to install the package from source:

dpkg -i mysql-workbench-community-6.3.10-1ubuntu16.04-amd64.deb

I get the following errors:

Selecting previously unselected package mysql-workbench-community.
(Reading database ... 261337 files and directories currently installed.)
Preparing to unpack .../mysql-workbench-community-6.3.10-1ubuntu16.04-amd64.deb ...
Unpacking mysql-workbench-community (6.3.10-1ubuntu16.04) ...
dpkg: dependency problems prevent configuration of mysql-workbench-community:
 mysql-workbench-community depends on libgeos-c1v5 (>= 3.4.2); however:
  Package libgeos-c1v5 is not installed.
 mysql-workbench-community depends on libhdf4-0-alt; however:
  Package libhdf4-0-alt is not installed.
 mysql-workbench-community depends on libnetcdf11 (>= 4.0.1); however:
  Package libnetcdf11 is not installed.
 mysql-workbench-community depends on libpcrecpp0v5 (>= 7.7); however:
  Package libpcrecpp0v5 is not installed.
 mysql-workbench-community depends on libxerces-c3.1; however:
  Package libxerces-c3.1 is not installed.

dpkg: error processing package mysql-workbench-community (--install):
 dependency problems - leaving unconfigured
Processing triggers for shared-mime-info (1.5-2ubuntu0.1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5.1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Errors were encountered while processing:
 mysql-workbench-community

Edit: I add the output of dpkg-query -l mysql-*

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                            Version              Architecture         Description
+++-===============================-====================-====================-====================================================================
un  mysql-client-5.5                <none>               <none>               (no description available)
un  mysql-client-5.6                <none>               <none>               (no description available)
ii  mysql-client-5.7                5.7.20-0ubuntu0.16.0 amd64                MySQL database client binaries
un  mysql-client-core-5.5           <none>               <none>               (no description available)
un  mysql-client-core-5.6           <none>               <none>               (no description available)
ii  mysql-client-core-5.7           5.7.20-0ubuntu0.16.0 amd64                MySQL database core client binaries
ii  mysql-common                    5.7.20-0ubuntu0.16.0 all                  MySQL database common files, e.g. /etc/mysql/my.cnf
un  mysql-common-5.6                <none>               <none>               (no description available)
un  mysql-server                    <none>               <none>               (no description available)
un  mysql-server-5.5                <none>               <none>               (no description available)
un  mysql-server-5.6                <none>               <none>               (no description available)
ii  mysql-server-5.7                5.7.20-0ubuntu0.16.0 amd64                MySQL database server binaries and system database setup
un  mysql-server-core-5.5           <none>               <none>               (no description available)
un  mysql-server-core-5.6           <none>               <none>               (no description available)
ii  mysql-server-core-5.7           5.7.20-0ubuntu0.16.0 amd64                MySQL database server binaries
ii  mysql-utilities                 1.6.1-2              all                  collection of scripts for managing MySQL servers
un  mysql-workbench                 <none>               <none>               (no description available)
  • Same issue. Have you solved the problem? – new2cpp Feb 11 '18 at 15:03
  • Unfortunately Not. – Sinai Feb 13 '18 at 6:28
  • For me, I solved it by ticking the following checkboxes: Software & Updates, the first 4 checkboxes in Ubuntu Software tab and all checkboxes in Updates tab. Try to tick all those checkboxes. Any better? The issue definitely is caused by setting changes. If possible, trying to install in a clean ubuntu OS, you will find it as easy as a cake. – new2cpp Feb 13 '18 at 16:24
  • 1
    WooW. Thank you @new2cpp. I did as you said and then could install mysql-workbench successfully. If you post your comment as an answer I will accept is as the best answer. Thank you. – Sinai Feb 14 '18 at 17:25
2

Because you are likely to disable some default configs in Ubuntu.

In Software & Updates, please tick the following checkboxes as the same as the default settings:

  1. the first 4 checkboxes in Ubuntu Software tab
  2. all checkboxes in Updates tab
  • really helpful your answer – Girish Nov 25 '18 at 5:33

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.